//--------------------------
//- AD7303.h               -
//-                        -
//-	Created on: 12.01.2012 -
//-	    Author: Alex Tofan -
//--------------------------
#include <xparameters.h>
#include <xil_io.h>
#include "AD7303.h"

void AD7303WriteData0(int Data0)
{
	Xil_Out32(Data0Reg, Data0);
}

void AD7303WriteData1(int Data1)
{
	Xil_Out32(Data1Reg, Data1);
}

void AD7303WriteCtrl0(int Ctrl0)
{
	Xil_Out32(Ctrl0Reg, Ctrl0);
}

void AD7303WriteCtrl1(int Ctrl1)
{
	Xil_Out32(Ctrl1Reg, Ctrl1);
}

void AD7303Start(void)
{
	Xil_Out32(StartReg, 0x01);
}

void AD7303Stop(void)
{
	Xil_Out32(StartReg, 0x00);
}

void AD7303Convert(void)
{
	AD7303Start();
	AD7303Stop();
}

int AD7303ReadData0(void)
{
	int rdata;
	rdata = Xil_In32(Data0Reg);
	return(rdata);
}

int AD7303ReadData1(void)
{
	int rdata;
	rdata = Xil_In32(Data1Reg);
	return(rdata);
}

int AD7303ReadCtrl0(void)
{
	int rdata;
	rdata = Xil_In32(Ctrl0Reg);
	return(rdata);
}

int AD7303ReadCtrl1(void)
{
	int rdata;
	rdata = Xil_In32(Ctrl1Reg);
	return(rdata);
}

int AD7303ReadStart(void)
{
	int rdata;
	rdata = Xil_In32(StartReg);
	return(rdata);
}
